
Redmine - Feature #6033

Allow addition/removal of subtasks to show in parent's history

2010-08-04 16:50 - Mark P

Status: Closed Start date: 2010-08-04

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed   

Description

The subtask feature has been working as expected.  When I remove a parent from a child, that change is captured in the child's

history, but it does not appear in the parent's history.  I think it would be really handy to be able to see from the parent's perspective,

how many child issues came and went.  Seeing history like this viewing from the child up to the parent is a tad cumbersome. 

Hopefully, that makes sense.

Bravo Zulu on Redmine.

Related issues:

Has duplicate Redmine - Feature #35991: Parent ticket history plugin Reopened

Associated revisions

Revision 21273 - 2021-11-08 15:22 - Go MAEDA

Allow addition/removal of subtasks to show in parent's history (#6033).

Patch by Yuichi HARADA.

Revision 21274 - 2021-11-08 15:24 - Go MAEDA

Update locales (#6033).

History

#1 - 2018-01-04 12:50 - Go MAEDA

- Category set to Issues

#2 - 2019-08-16 04:25 - Yuichi HARADA

- File 6033_subtasks_show_in_parent_history.patch added

Display the addition / deletion of subtask issues in the parent issue's history block.

I attached a patch.

#3 - 2019-08-18 15:00 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2019-09-16 14:43 - Go MAEDA

- Subject changed from Allow removal of child subtasks to show in parent's History block to Allow addition/removal of subtasks to show in parent's

History block

- Target version changed from Candidate for next major release to 4.1.0

Setting the target version to 4.1.0.

#5 - 2019-09-28 00:33 - Go MAEDA

- Target version changed from 4.1.0 to 4.2.0

#6 - 2021-03-25 08:31 - Marius BĂLTEANU

- Target version changed from 4.2.0 to 5.0.0

2025-05-02 1/3



#7 - 2021-09-05 14:16 - Go MAEDA

- File 6033_subtasks_show_in_parent_history.patch added

Update the patch for the latest trunk (r21204).

#8 - 2021-10-02 08:40 - Go MAEDA

The patch breaks an existing test. This is because patched Redmine sends an email notification when a journal that records the addition or removal of

a subtask is added.

Error:

MailHandlerTest#test_add_issue_should_send_notification:

NameError: undefined local variable or method `byebug' for #<MailHandlerTest:0x00007fd3f69b1d98>

    test/unit/mail_handler_test.rb:438:in `test_add_issue_should_send_notification'

rails test test/unit/mail_handler_test.rb:431

#9 - 2021-10-05 02:29 - Yuichi HARADA

- File 6033_subtasks_show_in_parent_history-v2.patch added

Go MAEDA wrote:

The patch breaks an existing test. This is because patched Redmine sends an email notification when a journal that records the addition or

removal of a subtask is added.

[...]

 I have confirmed that the test fails. I fixed test/unit/mail_handler_test.rb as follows.

diff --git a/test/unit/mail_handler_test.rb b/test/unit/mail_handler_test.rb

index 3fd3ce0722..999cb8ceac 100644

--- a/test/unit/mail_handler_test.rb

+++ b/test/unit/mail_handler_test.rb

@@ -433,10 +433,19 @@ class MailHandlerTest < ActiveSupport::TestCase

     assert issue.is_a?(Issue)

     assert !issue.new_record?

-    mail = ActionMailer::Base.deliveries.last

-    assert_not_nil mail

-    assert mail.subject.include?("##{issue.id}")

-    assert mail.subject.include?('New ticket on a given project')

+    assert_equal 4, issue.parent_issue_id

+    assert_equal 2, ActionMailer::Base.deliveries.size

+

+    [

+      [issue.id, 'New ticket on a given project'],

+      [4, 'Issue on project 2'],

+    ].each do |issue_id, issue_subject|

+      mail =

+        ActionMailer::Base.deliveries.detect do |m|

+          /##{issue_id}/.match?(m.subject) && /#{issue_subject}/.match?(m.subject)

+        end

+      assert_not_nil mail

+    end

   end

   def test_created_user_should_be_added_to_groups

#10 - 2021-11-08 15:23 - Go MAEDA

- Subject changed from Allow addition/removal of subtasks to show in parent's History block to Allow addition/removal of subtasks to show in parent's

history

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.
#11 - 2021-11-09 06:45 - Go MAEDA

- Has duplicate Feature #35991: Parent ticket history plugin added

Files

6033_subtasks_show_in_parent_history.patch 12.3 KB 2019-08-16 Yuichi HARADA

6033_subtasks_show_in_parent_history.patch 11.6 KB 2021-09-05 Go MAEDA

6033_subtasks_show_in_parent_history-v2.patch 12.6 KB 2021-10-05 Yuichi HARADA
